Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1199285 - Review request: nodejs-inflight - Add callbacks to requests in flight to avoid async duplication
Summary: Review request: nodejs-inflight - Add callbacks to requests in flight to avoi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1223972
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-05 20:27 UTC by Zuzana Svetlikova
Modified: 2015-06-09 15:06 UTC (History)
4 users (show)

Fixed In Version: nodejs-inflight-1.0.4-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 14:59:04 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-03-05 20:27:06 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-inflight.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-inflight-1.0.4-2.fc23.src.rpm
Description: Add callbacks to requests in flight to avoid async duplication
Fedora Account System Username: zvetlik

Comment 1 Piotr Popieluch 2015-03-20 15:59:58 UTC
Please update the package with the changes you also did in nodejs-npm-chache-filename,

- Removed Group, BuildRoot and %%defattr
- changed ExclusiveArch
- added %%check, %%license and %%nodejs_symlink_deps macros and nodejs-packaging dependency

I will do a full review once that is fixed

Comment 2 Zuzana Svetlikova 2015-04-15 11:59:09 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-inflight/nodejs-inflight.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-inflight/nodejs-inflight-1.0.4-4.fc23.src.rpm

Tests are turned off due to nodejs-wrappy dependency which makes them fail.

Comment 3 Tom Hughes 2015-05-21 20:25:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== Issues =====

[!]: Requires correct, justified where necessary.

Package seems to have acquired a dependency on tap, possibly
because of the nodejs_fixdep calls that seemm to be redundant?

[!]: Spec file according to URL is the same as in SRPM.

[!]: Rpmlint is run on all installed packages.

nodejs-inflight.src:19: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 19)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/tom/1199285-nodejs-
     inflight/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-inflight-1.0.4-4.fc23.noarch.rpm
          nodejs-inflight-1.0.4-4.fc23.src.rpm
nodejs-inflight.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-inflight.noarch: W: spelling-error %description -l en_US async -> sync, a sync
nodejs-inflight.noarch: W: only-non-binary-in-usr-lib
nodejs-inflight.noarch: W: dangling-symlink /usr/lib/node_modules/inflight/node_modules/once /usr/lib/node_modules/once
nodejs-inflight.noarch: W: dangling-symlink /usr/lib/node_modules/inflight/node_modules/wrappy /usr/lib/node_modules/wrappy
nodejs-inflight.noarch: W: dangling-symlink /usr/lib/node_modules/inflight/node_modules/tap /usr/lib/node_modules/tap
nodejs-inflight.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-inflight.src: W: spelling-error %description -l en_US async -> sync, a sync
nodejs-inflight.src:19: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 19)
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-inflight.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-inflight.noarch: W: spelling-error %description -l en_US async -> sync, a sync
nodejs-inflight.noarch: W: only-non-binary-in-usr-lib
nodejs-inflight.noarch: W: dangling-symlink /usr/lib/node_modules/inflight/node_modules/once /usr/lib/node_modules/once
nodejs-inflight.noarch: W: dangling-symlink /usr/lib/node_modules/inflight/node_modules/wrappy /usr/lib/node_modules/wrappy
nodejs-inflight.noarch: W: dangling-symlink /usr/lib/node_modules/inflight/node_modules/tap /usr/lib/node_modules/tap
1 packages and 0 specfiles checked; 0 errors, 6 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/tom/1199285-nodejs-inflight/srpm/nodejs-inflight.spec	2015-05-21 21:11:02.233995069 +0100
+++ /home/tom/1199285-nodejs-inflight/srpm-unpacked/nodejs-inflight.spec	2015-04-15 12:48:00.000000000 +0100
@@ -2,9 +2,11 @@
 %{!?scl:%global pkg_name %{name}}
 
-%{nodejs_find_provides_and_requires}
+%{?nodejs_find_provides_and_requires}
+
+%global enable_tests 0
 
 Name:           %{?scl_prefix}nodejs-inflight
 Version:        1.0.4
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Node.js inflight
 License:        ISC
@@ -15,4 +17,10 @@
 ExclusiveArch:  %{nodejs_arches} noarch
 
+BuildRequires:	npm(wrappy)
+BuildRequires:	npm(once)
+
+%if 0%{?enable_tests}
+BuildRequires:	npm(tap)
+%endif
 
 %description
@@ -22,4 +30,8 @@
 %setup -q -n package
 
+%{nodejs_fixdep} once
+%{nodejs_fixdep} wrappy
+%{nodejs_fixdep} tap
+
 %build
 
@@ -31,9 +43,19 @@
 %nodejs_symlink_deps
 
+%if 0%{?enable_tests}
+%check
+%{nodejs_symlink_deps} --check
+tap test.js
+%endif
+
 %files
-%doc README.md LICENSE
+%doc README.md
+%license LICENSE
 %{nodejs_sitelib}/inflight
 
 %changelog
+* Wed Apr 15 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-4
+- Added BuildRequires, macros, %%license and %%check sections
+
 * Tue Mar 03 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-3
 - Fixed dependency


Requires
--------
nodejs-inflight (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(once)
    npm(tap)
    npm(wrappy)



Provides
--------
nodejs-inflight:
    nodejs-inflight
    npm(inflight)



Source checksums
----------------
http://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz :
  CHECKSUM(SHA256) this package     : ccf2a35fa2e3f2704124b16affca180651b7d79647a2b4707491c4f3e6397d66
  CHECKSUM(SHA256) upstream package : ccf2a35fa2e3f2704124b16affca180651b7d79647a2b4707491c4f3e6397d66


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1199285
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Tom Hughes 2015-05-21 20:28:54 UTC
The wrappy module has been mispackaged. I have opened BZ#1223972 for that and once that is fixed you should be able to enable the tests.

Comment 5 Zuzana Svetlikova 2015-05-22 11:37:05 UTC
New sources:

Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-inflight/nodejs-inflight.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-inflight/nodejs-inflight-1.0.4-5.fc21.src.rpm

The package nodejs-wrappy has been updated and pushed to F22 stable repository, but they still fail on F21.

Comment 6 Tom Hughes 2015-05-22 23:29:44 UTC
Looks good now.

Comment 7 Zuzana Svetlikova 2015-05-23 03:48:28 UTC
New Package SCM Request
=======================
Package Name: nodejs-inflight
Short Description: Add callbacks to requests in flight to avoid async duplication 
Upstream URL: https://github.com/isaacs/inflight
Owners: zvetlik thrcka
Branches: f21 f22 f23
InitialCC: thrcka

Comment 8 Gwyn Ciesla 2015-05-24 20:37:40 UTC
thrcka is not in the Packager group, and f23 is not yet branched.

Comment 9 Zuzana Svetlikova 2015-05-25 01:22:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-inflight
Short Description: Add callbacks to requests in flight to avoid async duplication 
Upstream URL: https://github.com/isaacs/inflight
Owners: zvetlik
Branches: f20 f21 f22 el6 epel7

Comment 10 Gwyn Ciesla 2015-05-25 14:04:07 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-05-27 17:18:41 UTC
nodejs-inflight-1.0.4-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-inflight-1.0.4-5.fc22

Comment 12 Fedora Update System 2015-05-28 14:34:35 UTC
nodejs-inflight-1.0.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-inflight-1.0.4-5.fc21

Comment 13 Fedora Update System 2015-05-30 15:43:26 UTC
nodejs-inflight-1.0.4-5.fc22 has been pushed to the Fedora 22 testing repository.

Comment 14 Fedora Update System 2015-06-09 14:59:04 UTC
nodejs-inflight-1.0.4-5.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2015-06-09 15:06:44 UTC
nodejs-inflight-1.0.4-5.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.